Account
List customers
Response Body
Successful response
TypeScript Definitions
Use the response body type in TypeScript.
dataRequiredarray<object>Error response
TypeScript Definitions
Use the response body type in TypeScript.
errorRequiredobjectcurl -X POST "/v1/account.customer.getMany"fetch("/v1/account.customer.getMany")package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "/v1/account.customer.getMany"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "/v1/account.customer.getMany"
response = requests.request("POST", url)
print(response.text){
"data": [
{
"account_id": "string",
"account_metadata": {
"name": "string",
"business_info": {
"address": {
"line1": "string",
"city": "string",
"state": "string",
"postal_code": "string",
"country": "AF",
"line2": "string",
"countryISO3166_1": "string"
},
"entity_name": "string",
"registration_number": "string"
}
},
"account_preferences": {
"notifications": {
"transactions": true
}
},
"created_at": "string"
}
]
}{
"error": {
"code": "PARSE_ERROR",
"message": "string"
}
}